Bug 72847 - RFE: System startup progress bar
RFE: System startup progress bar
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Preston Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-28 07:35 EDT by Mike MacCana
Modified: 2014-03-16 22:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 15:58:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2002-08-28 07:35:46 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux) 
 
Description of problem: 
This is too late to go into the nest release, but I'm hoping you'll mark it as 
DEFERRED if you like the idea. 
 
It would be good to provide users with some feedback while their systems boot. 
I think a small progress bar (on a small strip of background similar to 
kernel-boot from 7.3) would provide both users new to Linux with just a little 
added feedback while they wait for their system to start.  
 
The Linux Progress Patch allows values to be assigned to each initscript for 
expected startup time, which are totalled to get the percentage of the boot 
process the system is in. No progress bar is 100% accurate, but this does a 
reasonable job.  
 
The main question here is:  
* Would this benefit users (I think so). 
* I know this is possible to do with vesafb startups. Is it also possible to 
do with plain VGA? 
* Is it safe to assume users have VGA compatible display cards? 
* Is it safe to assume readers have VESA compatible displays cards? 
 
Just an idea, and I know you're busy guys with lots of real bugs to chase. But 
Red Hat have seemed to do a lot of work on Linux UI issues of late, so I 
thought suggesting a progress bar during an operation that takes a fair while 
(like startup) might benefit users.  
 
Again, I'm sure this is too late for the next release, but I think marking 
this RFE as DEFERRED would benefit users. 
 
Cheers, 
 
Mike 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.Sit a new user in front of a Red Hat system as it boots 
2.Ask them if they'd like a progress bar ;) 
	 
 
Additional info:
Comment 1 Bill Nottingham 2005-03-01 15:58:36 EST
This was added in the form of RHGB.

Note You need to log in before you can comment on or make changes to this bug.